# Class HTMLDocument.HTMLReader.CharacterAction

java.lang.Object
javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
javax.swing.text.html.HTMLDocument.HTMLReader.CharacterAction

Enclosing class:
  `HTMLDocument.HTMLReader`

public class HTMLDocument.HTMLReader.CharacterAction extends HTMLDocument.HTMLReader.TagAction
Action assigned by default to handle the Character task of the reader.

## Constructor Summary

Constructors
Constructor
Description
`CharacterAction()`
Constructs a `CharacterAction`.

## Method Summary

### Methods declared in class HTMLDocument.HTMLReader.TagAction

`end, start`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CharacterAction

public CharacterAction()
Constructs a `CharacterAction`.